searchNodes=[{"doc":"Provides a basic cache with ttls. Usage A cache must be given a name when its started. Mentat.start_link(name: :my_cache) After its been started you can store and retrieve values: Mentat.put(:my_cache, user_id, user) user = Mentat.get(:my_cache, user_id) TTLs Both put and fetch operations allow you to specify the key&#39;s TTL. If no TTL is provided then the TTL is set to :infinity. TTL times are always in milliseconds. Mentat.put(:my_cache, :key, &quot;value&quot;, [ttl: 5_000]) Mentat.fetch(:my_cache, :key, [ttl: 5_000], fn key -&gt; {:commit, &quot;value&quot;} end) Limits Mentat supports optional limits per cache. Mentat.start_link(name: LimitedCache, limit: [size: 100]) When the limit is reached, the janitor will asynchronously reclaim a percentage of the keys Telemetry Mentat publishes multiple telemetry events. [:mentat, :get] - executed after retrieving a value from the cache. Measurements are: :status - Can be either :hit or :miss depending on if the key was found in the cache. Metadata are: :key - The key requested :cache - The cache name [:mentat, :put] - executed when putting a key into the cache. No measurements are provided. Metadata are: :key - The key requested :cache - The name of the cache [:mentat, :janitor, :cleanup] - executed after old keys are cleaned from the cache. Measurements are: :duration - the time it took to clean up the old keys. Time is in :native units. total_removed_keys - The count of keys removed from the cache. Metadata are: cache - The cache name.","ref":"Mentat.html","title":"Mentat","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"Mentat.html#child_spec/1","title":"Mentat.child_spec/1","type":"function"},{"doc":"Deletes a key from the cache","ref":"Mentat.html#delete/2","title":"Mentat.delete/2","type":"function"},{"doc":"Fetches a value or executes the fallback function. The function can return either {:commit, term()} or {:ignore, term()}. If {:commit, term()} is returned, the value will be stored in the cache before its returned. See the &quot;TTLs&quot; section for a list of options. Example Mentat.fetch(:cache, user_id, fn user_id -&gt; case get_user(user_id) do {:ok, user} -&gt; {:commit, user} error -&gt; {:ignore, error} end end)","ref":"Mentat.html#fetch/4","title":"Mentat.fetch/4","type":"function"},{"doc":"Retrieves a value from a the cache. Returns nil if the key is not found.","ref":"Mentat.html#get/3","title":"Mentat.get/3","type":"function"},{"doc":"Callback implementation for Supervisor.init/1.","ref":"Mentat.html#init/1","title":"Mentat.init/1","type":"function"},{"doc":"Returns a list of all keys.","ref":"Mentat.html#keys/1","title":"Mentat.keys/1","type":"function"},{"doc":"Removes all keys from the cache.","ref":"Mentat.html#purge/1","title":"Mentat.purge/1","type":"function"},{"doc":"Puts a new key into the cache. See the &quot;TTLs&quot; section for a list of options.","ref":"Mentat.html#put/4","title":"Mentat.put/4","type":"function"},{"doc":"Starts a new cache. Options: :name - Required. :cleanup_interval - How often the janitor process will remove old keys. The default value is 5000. :ets_args - Additional arguments to pass to :ets.new/2. The default value is []. :limit - Limits to the number of keys a cache will store. The default value is :none. :size - Required. The maximum number of values to store in the cache. :reclaim - The percentage of keys to reclaim if the limit is exceeded. The default value is 0.1.","ref":"Mentat.html#start_link/1","title":"Mentat.start_link/1","type":"function"},{"doc":"Updates a keys inserted at time. This is useful in conjunction with limits when you want to evict the oldest keys.","ref":"Mentat.html#touch/3","title":"Mentat.touch/3","type":"function"}]